Skip to main content
POST
/
v1
/
webhooks
/
{subscriptionId}
/
secret
/
rotate
Rotate webhook secret
curl --request POST \
  --url https://api.xentfi.com/v1/webhooks/{subscriptionId}/secret/rotate \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "developerId": "<string>",
    "url": "<string>",
    "eventTypes": [],
    "secret": "<string>",
    "isActive": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

subscriptionId
string
required

Response

Secret rotated

data
object
message
string